Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985864 - XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow
Summary: XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5
Version: BRMS 5.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: ---
Assignee: Shelly McGowan
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks: 986451
TreeView+ depends on / blocked
 
Reported: 2013-07-18 11:45 UTC by Toshiya Kobayashi
Modified: 2018-12-03 19:22 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 986760 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBPM-4069 Major Resolved XmlBPMNProcessDumper.dump() misses conditionExpression in sequenceFlow 2014-08-05 07:20:51 UTC

Description Toshiya Kobayashi 2013-07-18 11:45:18 UTC
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4069


Steps to Reproduce:
1. Create bpmn which includes SplitNode with conditionExpression in sequenceFlow
2. Parse the bpmn with KnowledgeBuilder
3. call XmlBPMNProcessDumper.dump() and compare original and generated xml

Actual results:

generated xml misses conditionExpression (See JBPM-4069)

Expected results:

generated xml doesn't miss conditionExpression

Comment 1 JBoss JIRA Server 2013-07-18 11:47:27 UTC
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-4069

I think I will be able to send a pull request for this tomorrow, please wait a bit!

Comment 2 JBoss JIRA Server 2013-07-19 06:56:00 UTC
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-4069

In addition, I noticed that language attribute has been changed.

Comment 3 JBoss JIRA Server 2013-07-19 07:04:49 UTC
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-4069

Sent a pull request
https://github.com/droolsjbpm/jbpm/pull/171

Comment 4 JBoss JIRA Server 2013-07-19 23:00:43 UTC
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira JBPM-4069 to Resolved

Comment 5 JBoss JIRA Server 2013-07-19 23:00:43 UTC
Marco Rietveld <marco.rietveld@redhat.com> made a comment on jira JBPM-4069

Merged, thanks for the pull request!

Comment 9 Tomas Schlosser 2013-09-13 12:17:40 UTC
Verified in 5.3.1.BRMS-P04


Note You need to log in before you can comment on or make changes to this bug.